ECB_Mode< CIPHER > Struct Template Reference

ECB mode. More...

`#include <modes.h>`

Inheritance diagram for ECB_Mode< CIPHER >:

## Public Types

typedef CipherModeFinalTemplate_CipherHolder < typename CIPHER::Encryption, ECB_OneWay > | Encryption
typedef CipherModeFinalTemplate_CipherHolder < typename CIPHER::Decryption, ECB_OneWay > | Decryption

## Detailed Description

### template<class CIPHER>
struct ECB_Mode< CIPHER >

ECB mode.

Definition at line 362 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h